Page MenuHomePhabricator

[Tidy] Support Parsing with communications re: high priorities fixes
Closed, ResolvedPublic

Description

Now that Linter is out on all wikis, let's revisit the tidy replacement fixups.

The high priority section (ex: https://en.wikipedia.org/wiki/Special:LintErrors ) on all wikis is the one that needs fixing.

Current plan:

  1. Update the FAQ as required
  2. Announce in Tech News and VPs
  3. wikitech-l mail/ambassadors

Other relevant conversation: https://en.wikipedia.org/wiki/Wikipedia_talk:WikiProject_Check_Wikipedia#Linter_tool_out_on_small_wikis

Event Timeline

Elitre created this task.Jun 29 2017, 3:27 PM

So the message is in Tech News now https://meta.wikimedia.org/wiki/Tech/News/2017/28 and on some lists, like https://lists.wikimedia.org/pipermail/wikitech-ambassadors/2017-July/001625.html .
I think we can revisit the need for VPs later.

Elitre added a comment.EditedAug 3 2017, 11:20 AM

@ssastry , what do we want to do now? Do you want us to push again for fixes? Maybe we could send out a communication about your team's new updates page and the linter logs you recently provided.

I crossposted Subbu's last email, encouraged for (at least partial) translations, and nudged en.wp.
Later this month I will contact tech village pumps + the major wikis that do not currently seem to be achieving progress, also to figure out if there's any additional help we can provide...

I have been talking to a number of editors from different wikis over here. It has been useful and interesting. I'll prepare and summarize my notes next week and we can touch base after.

I have re-pinged ceb. and sv. people, and en.wp. Starting to think about next phase of the project.

I flagged the need for a couple new items at https://www.mediawiki.org/wiki/Parsing/Replacing_Tidy/FAQ#What_will_editors_need_to_do.3F , Subbu says they're on it.

Elitre added a comment.Oct 1 2017, 5:42 PM

@ssastry I'd appreciate details on the remaining support you need, or pointers to other work that's more urgent now. TY

@ssastry I'd appreciate details on the remaining support you need, or pointers to other work that's more urgent now. TY

At this time, it is primarily making sure wikis stay on top of this and fix problems that need fixing .. and helping figure out if wiki editors need any specific support from us .. and helping us figure out if there are other specific outreach / communication things we need to do.

Elitre closed this task as Resolved.Oct 25 2017, 11:56 AM

I think we can say work continues in T178838.

Qgil awarded a token.Nov 3 2017, 3:41 PM